# $Revision: 1.42 $, $Date: 2007/02/12 22:09:21 $
Summary:	C, C++ and Java language support
Summary(pl.UTF-8):	Tryby dla C, C++ i Javy
Name:		xemacs-cc-mode-pkg
%define 	srcname	cc-mode
Version:	1.45
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	e1a2e251e57f29ce6e082181c13c7f04
Patch0:		%{name}-info.patch
URL:		http://www.xemacs.org/
BuildRequires:	texinfo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	xemacs-sumo

%description
CC Mode is a GNU Emacs mode for editing files containing C, C++,
Objective-C, Java, CORBA IDL, and Pike code. It provides syntax-based
indentation and has several handy commands and some minor modes to
make the editing easier. Note that CC Mode does _not_ provide
font-locking; there are other Emacs packages for that.

%description -l pl.UTF-8
CC mode to Emacsowy tryb przeznaczony od edycji programów w języku C i
innych językach o podobnej składni: C++, Objective-C, CORBA IDL, Pike.
(Dla Javy stworzono osobny pakiet: "jde").

%prep
%setup -q -c
%patch0 -p1

%build
(cd man/cc-mode; awk '/^\\input texinfo/ {print FILENAME}' * | xargs makeinfo)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/xemacs-packages,%{_infodir}}

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages
mv -f  $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info/*.info* $RPM_BUILD_ROOT%{_infodir}
rm -fr $RPM_BUILD_ROOT%{_datadir}/xemacs-packages/info

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc lisp/cc-mode/ChangeLog
%{_infodir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-cc-mode-pkg.spec,v $
Revision 1.42  2007/02/12 22:09:21  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.40  2006/10/09 05:50:40  piti
- up to 1.45

Revision 1.39  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.38  2003/11/26 17:55:52  speedy
updated

Revision 1.37  2003/09/09 10:24:58  ankry
- spaces -> tab

Revision 1.36  2003/05/28 13:03:04  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:28:10  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.33  2002/11/21 15:51:49  mis
- autoupdated to 1.31

Revision 1.32  2002/08/17 18:34:36  kloczek
- (auto)updated to 1.29.

Revision 1.31  2002/07/17 16:58:02  kloczek
- updated to 1.28 and use new %doc.

Revision 1.30  2002/04/14 12:26:56  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.29  2002/02/23 05:11:00  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/02/09 20:13:44  kloczek
- updated to 1.27.

Revision 1.26  2002/01/18 02:15:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/02 11:37:38  kloczek
- release 2.

Revision 1.24  2001/10/11 11:34:02  qboosh
- don't gzip info documents in spec - rpm does
- adapterized, fixed or added some pl translations

Revision 1.23  2001/09/21 04:02:55  kloczek
- updated to 1.26.

Revision 1.22  2001/07/26 05:42:26  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.20  2001/07/12 11:14:01  kloczek
- updated to 1.25,
- info patch is back,
- added texinfo to BuildRequires.

Revision 1.19  2001/05/27 18:52:29  kloczek
- spec adapterized.

Revision 1.18  2001/05/11 18:35:50  mis
- autoupdated to 1.24

Revision 1.17  2001/02/13 17:59:57  mis
- updated to 1.23

Revision 1.16  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.15  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.14  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:24:14  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/24 16:50:47  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.11  2000/05/21 19:48:11  kloczek
- spec adapterized.

Revision 1.10  2000/05/01 20:11:42  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.9  2000/04/17 06:44:59  kloczek
- adapterized.

Revision 1.8  2000/04/04 14:49:19  klakier
- opisy

Revision 1.7  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:55:15  baggins
- translated kloczkish into english

Revision 1.5  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.4  2000/03/27 14:46:56  klakier
- hmm... added xemacs-adapter tags back

Revision 1.3  2000/03/23 18:20:09  kloczek
- rewrited.

Revision 1.2  2000/02/07 22:30:46  klakier
Just another package

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
